Package com.pixelmed.dicom

# Class VersionAndConstants

java.lang.Object
com.pixelmed.dicom.VersionAndConstants

public class VersionAndConstants extends Object

Various pre-defined constants for identifying this software.

Includes a function and a main method to return the build date.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`codingSchemeUIDFor99IPCMR`
`static final String`
`codingSchemeUIDFor99PMP`
`static final String`
`implementationClassUID`
`static final String`
`implementationVersionName`
`static final String`
`instanceCreatorUID`
`static final String`
`releaseString`
`static final String`
`softwareVersion`
`static final String`
`uidQualifierFor99IPCMRCodingScheme`
`static final String`
`uidQualifierFor99PMPCodingScheme`
`static final String`
`uidQualifierFor99PMPFamilyOfCodingSchemes`
`static final String`
`uidQualifierForImplementationClassUID`
`static final String`
`uidQualifierForInstanceCreatorUID`
`static final String`
`uidQualifierForThisToolkit`
`static final String`
`uidQualifierForUIDGenerator`
`static final String`
`uidRoot`

## Constructor Summary

Constructors
Constructor
Description
`VersionAndConstants()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getBuildDate()`
Get the date the package was built.
`static void`
`main(String[] arg)`
Get the date the package was built.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### softwareVersion

public static final String softwareVersion

See Also:
  - Constant Field Values

### implementationVersionName

public static final String implementationVersionName

See Also:
  - Constant Field Values

### uidRoot

public static final String uidRoot

See Also:
  - Constant Field Values

### uidQualifierForThisToolkit

public static final String uidQualifierForThisToolkit

See Also:
  - Constant Field Values

### uidQualifierForUIDGenerator

public static final String uidQualifierForUIDGenerator

See Also:
  - Constant Field Values

### uidQualifierForImplementationClassUID

public static final String uidQualifierForImplementationClassUID

See Also:
  - Constant Field Values

### uidQualifierForInstanceCreatorUID

public static final String uidQualifierForInstanceCreatorUID

See Also:
  - Constant Field Values

### implementationClassUID

public static final String implementationClassUID

See Also:
  - Constant Field Values

### instanceCreatorUID

public static final String instanceCreatorUID

See Also:
  - Constant Field Values

### uidQualifierFor99PMPFamilyOfCodingSchemes

public static final String uidQualifierFor99PMPFamilyOfCodingSchemes

See Also:
  - Constant Field Values

### uidQualifierFor99PMPCodingScheme

public static final String uidQualifierFor99PMPCodingScheme

See Also:
  - Constant Field Values

### uidQualifierFor99IPCMRCodingScheme

public static final String uidQualifierFor99IPCMRCodingScheme

See Also:
  - Constant Field Values

### codingSchemeUIDFor99PMP

public static final String codingSchemeUIDFor99PMP

See Also:
  - Constant Field Values

### codingSchemeUIDFor99IPCMR

public static final String codingSchemeUIDFor99IPCMR

See Also:
  - Constant Field Values

### releaseString

public static final String releaseString

See Also:
  - Constant Field Values

## Constructor Details

### VersionAndConstants

public VersionAndConstants()

## Method Details

### getBuildDate

public static String getBuildDate()

Get the date the package was built.

Returns:
  the build date

### main

public static void main(String[] arg)

Get the date the package was built.

Parameters:
  `arg` -